<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="AnexarU"
                header="Anexar Transporte"
                widgetVar="Anexarregistro"
                modal="true"
                resizable="false"
                closable="true"
                width="750" >
                
                <h:panelGroup id="detalleAnexar">
                    <h:form id="anexar">
                        <h:panelGrid columns="2" >
                            <p:column>
                                <h:outputLabel for="numerotermo" value="Número Termo: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="numerotermo" value="#{transporteMB.numerotermo}" style="width: 350px" required="true" requiredMessage="El campo número de termo es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="numerosello" value="Número Sello: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="numerosello" value="#{transporteMB.numerosello}" style="width: 350px" required="true" requiredMessage="El campo número de sello es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="lector_temp" value="Lector Temperatura: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="lector_temp" value="#{transporteMB.lector_temp}"  style="width: 350px"  required="true" requiredMessage="El campo lector de temperatura es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="lote" value="Lote:  " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="lote" value="#{transporteMB.lote}" style="width: 350px" required="true" requiredMessage="El campo lote es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="fecha" value="Fecha: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:calendar id="fecha" value="#{transporteMB.fecha}"  style="width: 350px" pattern="yyyy-MM-dd" mask="true" />
                            </p:column> 
                            
                            <p:column>
                                <h:outputLabel for="transportista" value="Transportista: " style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                
                                <p:selectOneMenu id="perfil"  value="#{transporteMB.idtransportista}"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida" style="width: 350px">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{transporteMB.transportistas}"
                                    var="registrop"
                                    itemLabel="[#{registrop.id}]  .-  #{registrop.nombre} #{registrop.placas}"
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="cliente" value="Cliente: " style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                
                                <p:selectOneMenu id="cliente"  value="#{transporteMB.idcliente}"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida" style="width: 350px">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{transporteMB.clientes}"
                                    var="registrop"
                                    itemLabel="[#{registrop.id}]  .-  #{registrop.nombre} #{registrop.apellidos}"
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu> 
                            </p:column>
                            
                            <p:column>
                                <p:commandButton 
                                    value="Alta" 
                                    icon="ui-icon-contact"
                                    style="font-size:  100%"
                                    action="#{transporteMB.anexarRegistro(transporteMB.idtransportista,transporteMB.idcliente)}">                        
                                </p:commandButton>
                            </p:column>   
                            <p:column>
                                <p:commandButton
                                    value="Cerrar"
                                    type="button"
                                    icon="ui-icon-circle-close"
                                    style="font-size:  100%"
                                    onclick="PF('Anexarregistro').hide();">
                                </p:commandButton>
                            </p:column>
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
